"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestLogger = void 0;
const debug_1 = __importDefault(require("debug"));
const debugRequest = (0, debug_1.default)('TelegramServer:request');
const requestLogger = (req, _res, next) => {
    const reqLit = {
        body: req.body,
        cookies: req.cookies,
        files: req.cookies,
        headers: req.headers,
        method: req.method,
        params: req.params,
        query: req.query,
        url: req.url,
        originalUrl: req.originalUrl,
    };
    debugRequest(`Request: ${JSON.stringify(reqLit)}`);
    next();
};
exports.requestLogger = requestLogger;
