"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendResult = void 0;
function isPromise(obj) {
    return typeof obj === 'object' && 'then' in obj && 'catch' in obj;
}
const sendResult = (_req, res, next) => {
    res.sendError = (error) => {
        res
            .status('http' in error ? error.http : 500)
            .json({ message: error.message || 'Message not implemented' });
    };
    res.sendResult = (promise) => {
        if (!isPromise(promise)) {
            res.json(promise);
        }
        else {
            promise
                .then((result) => {
                res.json(result);
            })
                .catch((error) => {
                res.sendError(error);
            });
        }
    };
    next();
};
exports.sendResult = sendResult;
